from fastapi import APIRouter

from app.api.endpoints import health, products, cart, checkout

api_router = APIRouter()

# Include the different endpoints
api_router.include_router(health.router, prefix="/health", tags=["health"])
api_router.include_router(products.router, prefix="/products", tags=["products"])
api_router.include_router(cart.router, prefix="/cart", tags=["cart"])
api_router.include_router(checkout.router, prefix="/checkout", tags=["checkout"])