from typing import Optional
from pydantic import BaseModel, EmailStr


class Token(BaseModel):
    """Schema for token response."""
    access_token: str
    token_type: str


class TokenPayload(BaseModel):
    """Schema for token payload (JWT claims)."""
    sub: Optional[int] = None


class Login(BaseModel):
    """Schema for user login."""
    email: EmailStr
    password: str